@echo off

rem GiveAdministratorsFullPermission.bat
rem 2008-07-21
rem Chieh Cheng
rem http://www.CynosureX.com/

rem GNU General Public License (GPL), Version 2, June 1991

  SetLocal EnableDelayedExpansion

  set scriptDir=%~d0%~p0
  set scriptName=%~n0%~x0

  set path=%scriptDir%;%path%

  call SetNumberOfArguments.bat %*
  if %NumberOfArguments% equ 0 (
    call :usage
  ) else (
    call :run %*
  )

  goto :end

:run
  set object=%~1

  if "%object%" == "" goto :EOF

  call SetVariableToOutput.bat IsFileMask.bat "%object%"
  if %OutputVariable% == 1 (
    for %%f in ("%object%") do call GiveAdministratorsFullPermissionToFile.bat "%%f"
  ) else (
    call GiveAdministratorsFullPermissionToFile.bat "%object%"
  )

  shift
  goto :run

:usage
  echo   Usage: "%scriptName%" "file/dir 1" [ . . . "file/dir N" ]
  goto :EOF

:end
