@echo off

rem GiveAdministratorsFullPermissionToFile.bat
rem 2008-07-21
rem Chieh Cheng
rem http://www.CynosureX.com/

rem GNU General Public License (GPL), Version 2, June 1991

  SetLocal

  set scriptPath=%~d0%~p0
  set path=%scriptPath%;%path%

  call SetNumberOfArguments.bat %*
  if %NumberOfArguments% == 1 (
    call :changePermission %*
  ) else (
    call :usage
  )

  goto :end

:changePermission
  set object=%~1

  rem Not using parentheses to hand files names with
  rem parentheses in this if-else statement. Do not
  rem convert to parentheses.
  if exist "%object%" call :processObject "%object%"
  if not exist "%object%" echo "%object%" not found!

  goto :EOF

:processObject
  set object=%~1

  echo Setting ACL on %object% . . .
  call TCRAA.cmd SetACL.exe -on %1 -ot file -actn ace -ace "n:administrators;p:full"

  goto :EOF

:usage
  echo   Usage: "%~n0%~x0" "directory"
  echo            or
  echo          "%~n0%~x0" "file"
  goto :EOF

:end
